Notice of Pending Zoom Security Update

Page Last Updated:  10:00 a.m.  ~  Saturday 20th February 2021

Zoom are enhancing the security of their applications and moving to adopt the industry standard of using a trusted Public Certificate Authority.  This means Zoom app users, phone users and Zoom account administrators must meet minimum requirements to ensure there is no disruption to service connectivity.

When is this Change Happening?

Zoom are changing their certificate in their European region on 5th March 2021

What Do I Need to Do?

From 5th March 2021,  all Zoom app and desktop client users must be on version 5.0.5 or later.  If your app or software is running a lower version, it is recommend you upgrade as soon as possible to ensure continuity of functionality.​   

For optimal security, you may also want to take this opportunity to upgrade other related Zoom software you may be using.  For example:  Zoom Plugin for Microsoft Outlook.

Note:  this only impacts meetings hosted using Zoom.  This does not impact listening to services through the chapel website..

Troubleshooting Possible Errors

Running a version of Zoom lower than 5.0.5 after 5th March is likely to result in the following errors:​

  • 702: SSL Certificate failed - Cert Name mismatch

  • 703: SSL Certificate failed - Handshake failed

 

​The only corrective action will be to upgrade to the latest version of the Zoom app.

What is Changing?